EDKB12WS Reference

# Service1 Class

Members

Assembly: EDKB12WS (in EDKB12WS.exe)
Syntax

VB
C#
C++
JScript
Copy

    Public Class Service1
        Inherits ServiceBase

    This language is not supported or no code example is available.

VB
C#
C++
JScript
Copy

    public class Service1 : ServiceBase

    This language is not supported or no code example is available.

VB
C#
C++
JScript
Copy

    public ref class Service1 : public ServiceBase^

    This language is not supported or no code example is available.

VB
C#
C++
JScript
Copy

    public class Service1
       extends ServiceBase

    This language is not supported or no code example is available.

Inheritance Hierarchy

System.Object
System.MarshalByRefObject
System.ComponentModel.Component
System.ServiceProcess.ServiceBase
EDKB12WS.Service1
Platforms

Windows 8, Windows Server 2012, Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows XP SP2 x64 Edition, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

The .NET Framework does not support all versions of every platform. For a list of the supported versions, see System Requirements.

Version Information

#### .NET Framework

Supported in: 4.5, 4, 3.5, 3.0, 2.0, 1.1, 1.0

#### .NET Compact Framework

Supported in: 3.5, 2.0, 1.0

#### XNA Framework

Supported in: 3.0, 2.0, 1.0
See Also

#### Reference

Service1 Members